function add_key(key)
{
  local keys = state.Island_2_keys;
  keys[key] = true;
  update_keys();
}

function level2_init()
{
  foreach(name in ["ice", "forest", "ghostforest"])
  {
    add_key(name);
  }
  Tux.deactivate();
  Effect.sixteen_to_nine(2);
  Tux.walk(100);
  wait(1);
  Effect.four_to_three();
  Tux.activate();
}

/***************************************
 * Handling of the "keys" in the world *
 ***************************************/
if(! ("Island_2_keys" in state))
	state.Island_2_keys <- {}
	
local keys = state.Island_2_keys;
foreach(name in ["ice", "forest", "ghostforest"])
{
  if(! (name in keys))
    keys[name] <- false; 
}


/// this function updates the key images (call this if tux has collected a key)
function update_keys()
{
	local keys = state.Island_2_keys;
	foreach(name in ["ice", "forest", "ghostforest"])
	{
	  key[name].set_action(keys[name] ? "silver-right" : "silver-left");
	}
}

if(! ("key" in this))
 key <- {};

local x = 10;
local y = 10;

foreach(name in ["ice", "forest", "ghostforest"])
{
  if(! (name in key) ) {
    key[name] <- FloatingImage("images/objects/keys/key" + ".sprite");
    key[name].set_anchor_point(ANCHOR_TOP_LEFT);
    key[name].set_pos(x, y);
    key[name].set_visible(true);
  }
  x += 50;
}

update_keys();
